=== debian/changelog ===
sirikali (1.4.8-2) unstable; urgency=medium

  * Fix the watch file

 -- David Steele <steele@debian.org>  Thu, 16 Sep 2021 22:46:39 -0400

sirikali (1.4.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ David Steele ]
  * New upstream version (Closes: #975130).

 -- David Steele <steele@debian.org>  Tue, 01 Dec 2020 12:36:35 -0500
