=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://github.com/mhogomchungu/sirikali/releases \
/mhogomchungu/sirikali/releases/download/.+/SiriKali-(.*)\.tar\.xz
