## sirikali 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,28 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.8" )
-set( COPYRIGHT_YEARS "2016-2020" )
+set( PGR_VERSION "1.5.0" )
+set( COPYRIGHT_YEARS "2016-2022" )
 
 add_definitions( -Wextra -Wall -pedantic )
 
-set( CMAKE_CXX_STANDARD 14 )
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0 )
+	set( CMAKE_CXX_STANDARD 20 )
+	MESSAGE( STATUS "Setting C++ version to C++20" )
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
+	set( CMAKE_CXX_STANDARD 20 )
+	MESSAGE( STATUS "Setting C++ version to C++20" )
+else()
+	set( CMAKE_CXX_STANDARD 14 )
+	#This is necessary with old versions of cmake
+	add_definitions(-std=c++14)
+	MESSAGE( STATUS "Setting C++ version to C++14" )
+endif()
+
+if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+    add_definitions(-Qunused-arguments)
+endif()
+
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
 set( CMAKE_CXX_EXTENSIONS OFF)
 
@@ -85,15 +101,6 @@
 
 set( QT5 "true" )
 
-find_file( JSON_HEADER_PATH "nlohmann/json.hpp" )
-
-if( NOT JSON_HEADER_PATH )
-	set( JSON_HEADER_PATH "${PROJECT_SOURCE_DIR}/src/3rdParty/json/nlohmann/json.hpp" )
-endif()
-
-file( WRITE ${PROJECT_BINARY_DIR}/json.h "\n#include \"${JSON_HEADER_PATH}\"" )
-MESSAGE( STATUS "found json.hpp header file at: ${JSON_HEADER_PATH}" )
-
 if( WIN32 )
     set( INTERNAL_LXQT_WALLET "true" )
 else()
@@ -124,14 +131,14 @@
 
 if( UNIX AND NOT APPLE )
 
-        find_package( Qt5 COMPONENTS Core Widgets Network DBus REQUIRED )
+	find_package( Qt5 COMPONENTS Core Widgets Network DBus REQUIRED )
 
 	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
 	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
 	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
 	message( STATUS "Found Qt5DBus, version  ${Qt5DBus_VERSION}" )
 else()
-        find_package( Qt5 COMPONENTS Core Widgets Network REQUIRED )
+	find_package( Qt5 COMPONENTS Core Widgets Network REQUIRED )
 
 	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
 	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
@@ -139,7 +146,7 @@
 endif()
 
 pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
-pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
+#pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
 
 file( WRITE ${PROJECT_BINARY_DIR}/version.h "
 #ifndef THIS_VERSION
@@ -223,8 +230,6 @@
 		endif()
 	endif()
 endif()
-
-add_definitions( -std=c++14 )
 
 set( UI_FILES 	src/sirikali.ui
 		src/keydialog.ui
@@ -291,6 +296,7 @@
 		src/keydialog.cpp
 		src/siritask.cpp
 		src/help.cpp
+		src/themes.cpp
 		src/createbackendwindow.cpp
 		src/engines.cpp
 		src/oneinstance.cpp
@@ -339,8 +345,3 @@
 	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_LONG_VERSION_STRING "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
-	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-endif()
-
