=== src/sirikali_cppcryptfs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(sirikali_cppcryptfs LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt5 COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)

add_executable(sirikali_cppcryptfs
  main.cpp
)
target_link_libraries(sirikali_cppcryptfs Qt${QT_VERSION_MAJOR}::Core)
