=== src/siripolkit/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,16 @@
 cmake_minimum_required( VERSION 3.0 )
 
-add_definitions( -Wextra -Wall -pedantic -std=c++14 -I${PROJECT_BINARY_DIR}/siripoltik/ )
+add_definitions( -Wextra -Wall -pedantic -I${PROJECT_BINARY_DIR}/siripoltik/ )
 include_directories( ${PROJECT_BINARY_DIR}/siripoltik/ )
 
-set( CMAKE_CXX_STANDARD 14 )
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0 )
+	set( CMAKE_CXX_STANDARD 20 )
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
+	set( CMAKE_CXX_STANDARD 20 )
+else()
+	set( CMAKE_CXX_STANDARD 14 )
+endif()
+
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
 set( CMAKE_CXX_EXTENSIONS OFF)
 
@@ -12,8 +19,8 @@
 	zulupolkit.cpp
 )
 
-find_package( Qt5Core REQUIRED )
-find_package( Qt5Network REQUIRED )
+find_package( Qt5 COMPONENTS Core Network REQUIRED )
+
 
 INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
