=== src/3rdParty/NetworkAccessManager/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,16 @@
 set( LIB_VERSION "1.0.0" )
 set( SO_VERSION "1.0.0" )
 
-add_definitions( -Wextra -Wall -pedantic -std=c++14 )
+add_definitions( -Wextra -Wall -pedantic)
 
-set( CMAKE_CXX_STANDARD 14 )
+if( CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
+	set( CMAKE_CXX_STANDARD 20 )
+else()
+	set( CMAKE_CXX_STANDARD 14 )
+endif()
+
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
+set( CMAKE_CXX_EXTENSIONS OFF)
 
 INCLUDE( GNUInstallDirs )
