=== debian/changelog ===
sirikali (1.5.0-2) unstable; urgency=medium

  * Fix the watch file, broken by GitHub.

 -- David Steele <steele@debian.org>  Sat, 01 Oct 2022 14:28:26 -0400

sirikali (1.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Thu, 12 May 2022 12:28:30 -0400
