## sirikali 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,25 +4,18 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.5.0" )
-set( COPYRIGHT_YEARS "2016-2022" )
-
-add_definitions( -Wextra -Wall -pedantic )
-
-if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0 )
-	set( CMAKE_CXX_STANDARD 20 )
-	MESSAGE( STATUS "Setting C++ version to C++20" )
-elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
-	set( CMAKE_CXX_STANDARD 20 )
-	MESSAGE( STATUS "Setting C++ version to C++20" )
-else()
-	set( CMAKE_CXX_STANDARD 14 )
-	#This is necessary with old versions of cmake
-	add_definitions(-std=c++14)
-	MESSAGE( STATUS "Setting C++ version to C++14" )
-endif()
-
-if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+set( PGR_VERSION "1.5.1" )
+set( COPYRIGHT_YEARS "2016-2023" )
+
+set( CMAKE_CXX_STANDARD 14 )
+
+MESSAGE( STATUS "Setting C++ version to C++14" )
+if(${CMAKE_VERSION} VERSION_LESS "3.1.0")
+        message("Warning your cmake version is too old(<3.1.0) and code my not compile")
+        add_definitions(-std=c++14)
+endif()
+
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     add_definitions(-Qunused-arguments)
 endif()
 
@@ -145,7 +138,6 @@
 	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
 endif()
 
-pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
 #pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
 
 file( WRITE ${PROJECT_BINARY_DIR}/version.h "
@@ -159,20 +151,7 @@
 #endif
 \n" )
 
-if(NONETWORKSUPPORT)
-        file(WRITE  ${PROJECT_BINARY_DIR}/network_support.h "\n#define HAS_NETWORK_SUPPORT 0\n")
-	message( STATUS "---------------------------------------------------------------------------" )
-	message( STATUS "network support is disabled" )
-	message( STATUS "---------------------------------------------------------------------------" )
-else()
-        file(WRITE  ${PROJECT_BINARY_DIR}/network_support.h "\n#define HAS_NETWORK_SUPPORT 1\n")
-
-	message( STATUS "---------------------------------------------------------------------------" )
-	message( STATUS "mhogomchungu_network library will be provided by an internal library" )
-	message( STATUS "---------------------------------------------------------------------------" )
-	ADD_SUBDIRECTORY( src/3rdParty/NetworkAccessManager )
-	include_directories( src/3rdParty/NetworkAccessManager )
-endif()
+file(WRITE  ${PROJECT_BINARY_DIR}/network_support.h "\n#define HAS_NETWORK_SUPPORT 1\n")
 
 if( MCHUNGU_TASK_FOUND )
 
@@ -345,3 +324,30 @@
 	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_LONG_VERSION_STRING "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
+	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
+	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
+	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
+endif()
+
+set( CMAKE_INCLUDE_CURRENT_DIR ON )
+include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
+include_directories( ${Qt5Network_INCLUDE_DIRS} )
+
+add_definitions( ${Qt5Widgets_DEFINITIONS} )
+
+QT5_WRAP_UI( UI ${UI_FILES} )
+QT5_WRAP_CPP( MOC ${MOC_FILES} )
+QT5_ADD_RESOURCES( TRAY_RC_SRCS src/icon.qrc )
+
+INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
+INCLUDE_DIRECTORIES( ${GCRYPT_INCLUDE_PATH} )
+
+if( APPLE )
+	add_executable( sirikali MACOSX_BUNDLE ${MOC} ${UI} ${SRC} ${TRAY_RC_SRCS} ${PROJECT_SOURCE_DIR}/icons/256x256/sirikali.icns )
+	set_target_properties( sirikali PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
+else()
+	if( WIN32 )
+		 set(APP_ICON_RESOURCE_WINDOWS "${CMAKE_CURRENT_SOURCE_DIR}/src/appicon.rc" )
+		 add_executable( sirikali WIN32 ${MOC} ${UI} ${SRC} ${TRAY_RC_SRCS} ${APP_ICON_RESOURCE_WINDOWS} )
+		 set_target_properties( sirikali PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic")
+	else()
