=== debian/changelog ===
sirikali (1.5.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:48 +1100

sirikali (1.5.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:07:40 +0000

sirikali (1.5.1-1) unstable; urgency=medium

  * New upstream version.
  * Abort install if sirikali is running (Closes: #897439).

 -- David Steele <steele@debian.org>  Sun, 30 Jul 2023 13:33:53 -0400
