=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sirikali
 Section: admin
 Priority: optional
-Maintainer: David Steele <steele@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Steele <steele@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                pkg-config,
